SRD Standelone programmation box: tMemoryManagerCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tMemoryManagerCtrl Struct Reference

Define a structure used to control the memory operation. More...

`#include "MemoryManager.h"`

## Data Fields

union {
struct {
unsigned short serial: 1
unsigned short diving: 1
unsigned short RSVD: 14
} bits
unsigned short all
} | isValid
unsigned long | nbrLog

## Detailed Description

Define a structure used to control the memory operation.

Definition at line 122 of file MemoryManager.h.

## Field Documentation

unsigned short tMemoryManagerCtrl::all

Global access

Definition at line 129 of file MemoryManager.h.

Referenced by MemoryManagerInit().

struct { ... } tMemoryManagerCtrl::bits

Bit access

Referenced by ButtonManager(), MemoryManagerCheckDiving(), MemoryManagerCheckSerial(), MemoryManagerInit(), MemoryManagerWriteDiving(), MemoryManagerWriteSerial(), and UsbManagerCmdDealer().

unsigned short tMemoryManagerCtrl::diving

Diving parameters are initialized

Definition at line 126 of file MemoryManager.h.

union { ... } tMemoryManagerCtrl::isValid

Valid parameters structure

Referenced by ButtonManager(), MemoryManagerCheckDiving(), MemoryManagerCheckSerial(), MemoryManagerInit(), MemoryManagerWriteDiving(), MemoryManagerWriteSerial(), and UsbManagerCmdDealer().

unsigned long tMemoryManagerCtrl::nbrLog

number of log in memory

Definition at line 131 of file MemoryManager.h.

Referenced by MemoryManagerClearLog(), MemoryManagerComputeNbrLog(), MemoryManagerInit(), MemoryManagerReadLog(), MemoryManagerWriteLog(), and UsbManagerCmdDealer().

unsigned short tMemoryManagerCtrl::RSVD

Reserved

Definition at line 127 of file MemoryManager.h.

unsigned short tMemoryManagerCtrl::serial

Serial si initialized

Definition at line 125 of file MemoryManager.h.

The documentation for this struct was generated from the following file:

- MemoryManager.h